%define major 0
%define libname_orig lib%{name}
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	Priviledged helper for utmp/wtmp updates
Name:		utempter
Version:	0.5.5
Release:	%mkrel 13
License:	GPL
Group:		System/Libraries
URL:		http://www.redhat.com/
Source0:	%{name}-%{version}.tar.bz2
Patch1:		utempter-0.5.2-biarch-utmp.patch
Requires(pre):	shadow-utils
Requires:	%{libname} = %{version}-%{release}

%description
Utempter is a utility which allows some non-privileged programs to
have required root access without compromising system
security. Utempter accomplishes this feat by acting as a buffer
between root and the programs.

%package -n	%{libname}
Summary:	Library used by %{name}
Group:		System/Libraries

%description -n	%{libname}
Libutempter is an library which allows some non-privileged
programs to have required root access without compromising system
security. It accomplishes this feat by acting as a buffer
between root and the programs.

%package -n	%{develname}
Summary:	Devel files for %{name}
Group:		Development/C
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}utempter0-devel < %{version}-%{release}

%description -n	%{develname}
Header files for writing apps using libutempter

%prep
%setup -q
%patch1 -p1 -b .biarch-utmp

%build
%make RPM_OPT_FLAGS="%{optflags}"

%install
%makeinstall_std LIBDIR=%{_libdir}

%pre 
%{_sbindir}/groupadd -g 22 -r -f utmp

%files
%doc COPYING
%attr(02755, root, utmp) %{_sbindir}/utempter

%files -n %{libname}
%doc COPYING
%{_libdir}/libutempter.so.%{major}*

%files -n %{develname}
%doc COPYING
%{_libdir}/libutempter.so
%{_includedir}/utempter.h


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.5.5-13.mga3
+ Revision: 385195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 0.5.5-12.mga3
+ Revision: 305023
- update devel package name

* Sat Jan 08 2011 blino <blino> 0.5.5-12.mga1
+ Revision: 741
- remove old ldconfig scripts
- imported package utempter

  + ennael <ennael>
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter

  + boklm <boklm>
    - imported package utempter
    - imported package utempter
    - imported package utempter
    - imported package utempter

  + tmb <tmb>
    - imported package utempter

